* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Mukta', sans-serif;
}

body {
    display: flex;
    height: 100vh;
    align-items: center;
    justify-content: space-evenly;
}

.logo-mario {
    width: 300px;
}

.imagem-mario-luigi {
    height: 600px;
}

.caixa-principal {
    width: 40%;
}

.caixa-video-mario {
    position: fixed;
    top: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
}

video {
    position: fixed;
    top: 0;
    min-height: 100%;
    min-width: 100%;
}

.mascara-video {
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    background: linear-gradient(109deg, rgba(10, 12, 16, 0.99) 15%, rgba(10, 12, 16, 0.7) 50%, rgba(10, 12, 16, 0.99) 85%);
}

p {
    color: white;
    margin-top: 10px;
    font-size: 18px;
}

button {
    height: 40px;
    width: 200px;
    font-size: 15px;
    background: #c51111;
    border: none;
    border-radius: 4px;
    color: #fff;
    margin-top: 20px;
    cursor: pointer;
}

.fale-conosco {
    background: #fff;
    display: flex;
    flex-direction: column;
    padding: 20px;
    border-radius: 10px;
    gap: 20px;
    position: fixed;
    left: -345px;
    transition: left 1s linear;
    z-index: 4;
}

input {
    height: 40px;
    border-radius: 3px;
    border: 1px solid gray;
    padding-left: 10px;
    outline-color: crimson;
}

textarea {
    height: 90px;
    width: 300px;
    border-radius: 3px;
    border: 1px solid gray;
    padding: 10px;
    outline-color: crimson;
}

.mascara-form{
    visibility: hidden;
    height: 100vh;
    width: 100vw;
    position: fixed;
    top: 0;
    z-index: 3;
    background: linear-gradient(109deg, rgba(10, 12, 16, 0.99) 15%, rgba(10, 12, 16, 0.7) 50%, rgba(10, 12, 16, 0.99) 85%);
}

h1 {
    color: red;
    margin-top: 10px;
    font-size: 22px;
}

@media screen and (max-width: 900px) {  
    body {
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        height: auto;
        position: relative;
    }

    .caixa-video-mario {
        width: 100%;
        height: 100%;
        overflow: hidden;
    }

    video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .mascara-video {
        overflow: hidden;
    }

    .caixa-principal{
        width: 60%;
        margin: 0 auto;
    }

    .logo-mario {
        margin: 15px auto;
        display: block;
        width: 85%;
    }

    .imagem-mario-luigi {
        height: auto;
        max-width: 60%;
        margin: 0 auto;
        align-items: center;
    }

    p {
        font-size: 14px;
        text-align: center;  
    }

    .botao-fale-conosco {
        display: block;
        margin: 20px auto;
    }

}